import { Request } from '../util/index.js';
class License {
    getLicenseUrl() {
        return process.env.LICENSE_URL || '';
    }
    send(endPoint, data) {
        const url = Request.buildUrl(this.getLicenseUrl(), { endPoint });
        return Request.post(url, data);
    }
    getFilterDataParams(params) {
        return {
            requestType: 'FilterData',
            filter: Object.keys(params).map((name) => ({
                name,
                operator: '=',
                value: params[name],
            })),
        };
    }
    getDataSetParams(dataset) {
        return {
            requestType: 'DataSet',
            dataset,
        };
    }
    async auth({ email, password }) {
        return this.send('/getInfoOperador', this.getFilterDataParams({ LOGIN: email, PASSWORD: password }));
    }
    getServerByOrganization({ NRORG }) {
        return this.send('/getServeUrl', this.getFilterDataParams({ NRORG }));
    }
    setServerForOrganization({ NRORG, HOST = '', }) {
        return this.send('/saveServeUrl', this.getDataSetParams([{ NRORG, SERVER_DNS: HOST }]));
    }
}
export default new License();
