import { Product } from '../service/index.js';
import { Request } from '../util/index.js';
class ProductRoutes {
    register(app) {
        app.post('/product/:name?', async (req, res) => {
            try {
                const response = await Product.create(Request.getAllParams(req));
                res.status(201).send(response);
            }
            catch (err) {
                Request.handleResponseError(res, err);
            }
        });
        app.get('/product', async (req, res) => {
            try {
                const response = await Product.list();
                res.send(response);
            }
            catch (err) {
                Request.handleResponseError(res, err);
            }
        });
        app.put('/product/:name?', async (req, res) => {
            try {
                const response = await Product.modify(Request.getAllParams(req));
                res.send(response);
            }
            catch (err) {
                Request.handleResponseError(res, err);
            }
        });
        app.delete('/product/:name?', async (req, res) => {
            try {
                const response = await Product.remove(Request.getAllParams(req));
                res.send(response);
            }
            catch (err) {
                Request.handleResponseError(res, err);
            }
        });
    }
}
export default new ProductRoutes();
