import express from 'express';
import http from 'http';
import 'dotenv/config';
import { register as resgisterRoutes } from './routes/index.js';
import { Security, SocketService } from './service/index.js';
import { Middleware, SocketMiddleware } from './middleware/index.js';
Security.loadAuthorizedUsers();
const app = express();
const { SERVER_PORT } = process.env;
Middleware.register(app);
const server = http.createServer(app);
resgisterRoutes(app);
const io = SocketService.register(server);
SocketMiddleware.register(io);
server.listen(SERVER_PORT, () => {
    console.log('Listening on ', SERVER_PORT);
});
