import fs from 'fs';
import path from 'path';
class File {
    constructor(fileName = '', filePath = '') {
        this.fileName = fileName;
        this.filePath = filePath;
    }
    getFullPath() {
        return path.join(this.filePath, this.fileName);
    }
    async write(data) {
        return new Promise((resolve, reject) => {
            const fullPath = this.getFullPath();
            fs.writeFile(fullPath, data, {}, (err) => {
                if (err)
                    return reject(err);
                resolve({
                    path: this.filePath,
                    fileName: this.fileName,
                });
            });
        });
    }
    async read() {
        return new Promise((resolve, reject) => {
            fs.readFile(this.getFullPath(), 'utf8', (err, data) => {
                if (err)
                    return reject(new Error(`Erro ao ler o arquivo: ${this.getFullPath()}`));
                resolve(data);
            });
        });
    }
    async remove() {
        return new Promise((resolve, reject) => {
            fs.unlink(this.getFullPath(), (err) => {
                if (err)
                    return reject(err);
                resolve({
                    path: this.filePath,
                    fileName: this.fileName,
                });
            });
        });
    }
    getFileName() {
        return this.fileName;
    }
    setFileName(fileName) {
        this.fileName = fileName;
    }
    getFilePath() {
        return this.filePath;
    }
    setFilePath(filePath) {
        this.filePath = filePath;
    }
    exists() {
        return new Promise((resolve, reject) => {
            fs.stat(this.getFullPath(), (err, stats) => {
                if (err)
                    return reject(err);
                resolve(stats.isFile());
            });
        });
    }
}
export { File };
