class PromiseTools {
    static async promisify(functionToCall, thisScope, params = {}, argsToReturn = {}) {
        if (typeof functionToCall !== 'function')
            throw new Error('invalid function parameter');
        return new Promise((resolve, reject) => {
            functionToCall.apply(thisScope, [params, (err, data) => {
                    if (err)
                        return reject(err);
                    if (Array.isArray(data)) {
                        data.forEach((row) => {
                            Object.assign(row, argsToReturn);
                        });
                    }
                    else if (typeof data === 'object') {
                        Object.assign(data, argsToReturn);
                    }
                    resolve(data);
                }]);
        });
    }
}
const { promisify } = PromiseTools;
export { promisify, };
export default new PromiseTools();
