class UrlTools {
    constructor() {
        this.defaultProtocol = 'http';
    }
    getInfo(urlText) {
        let url = null;
        try {
            url = new URL(urlText);
        }
        catch (err) {
            url = new URL(`${this.defaultProtocol}://${urlText}`);
        }
        const protocol = url.protocol.includes('https') ? 'https' : 'http';
        return {
            protocol,
            host: url.host,
        };
    }
    hasProtocol(urlText) {
        return urlText && urlText.startsWith('http');
    }
    getUrlWithProtocol(urlText) {
        if (this.hasProtocol(urlText))
            return urlText;
        return `${this.defaultProtocol}://${urlText}`;
    }
}
export default new UrlTools();
