import fs from 'fs';
import path from 'path';

const searchDir = path.join(process.argv[1], '..', '..', 'dist');

function replaceTextInFiles(dirPath, fileExtension, searchValue, replaceValue) {
  fs.readdirSync(dirPath, { withFileTypes: true }).forEach((entry) => {
    const entryPath = path.join(dirPath, entry.name);
    if (entry.isDirectory()) {
      replaceTextInFiles(entryPath, fileExtension, searchValue, replaceValue);
    } else if (entry.isFile() && entry.name.endsWith(fileExtension)) {
      const filePath = path.resolve(entryPath);
      let fileContent = fs.readFileSync(filePath, 'utf8');
      fileContent = fileContent.replace(new RegExp(searchValue, 'g'), replaceValue);
      fs.writeFileSync(filePath, fileContent, 'utf8');
    }
  });
}
replaceTextInFiles(searchDir, '.js', 'index.ts', 'index.js');